Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.deployment.jboss
Class RenderSetMetaDataFactory

    java.lang.Object
      org.jboss.portal.theme.deployment.jboss.RenderSetMetaDataFactory

All Implemented Interfaces:
  org.jboss.xb.binding.ObjectModelFactory

    public class RenderSetMetaDataFactory

extends java.lang.Object
implements org.jboss.xb.binding.ObjectModelFactory

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Constructor Summary
`RenderSetMetaDataFactory()`

Method Summary
`void` | `addChild(java.util.ArrayList list, RenderSetMetaData renderSet, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`void` | `addChild(RenderSetMetaData renderSet, RendererSetMetaData rendererSet, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`java.lang.Object` | `completeRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName)`
`java.lang.Object` | `newChild(java.util.ArrayList list, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newChild(RenderSetMetaData renderSet, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`java.lang.Object` | `newRoot(java.lang.Object root, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, org.xml.sax.Attributes attrs)`
`void` | `setValue(RendererSetMetaData rendererSet, org.jboss.xb.binding.UnmarshallingContext nav, java.lang.String nsURI, java.lang.String localName, java.lang.String value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderSetMetaDataFactory

    public RenderSetMetaDataFactory()

Method Detail

### newRoot

    public java.lang.Object newRoot(java.lang.Object root,
                                    org.jboss.xb.binding.UnmarshallingContext nav,
                                    java.lang.String nsURI,
                                    java.lang.String localName,
                                    org.xml.sax.Attributes attrs)

  Specified by:
    `newRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`

### completeRoot

    public java.lang.Object completeRoot(java.lang.Object root,
                                         org.jboss.xb.binding.UnmarshallingContext nav,
                                         java.lang.String nsURI,
                                         java.lang.String localName)

  Specified by:
    `completeRoot` in interface `org.jboss.xb.binding.ObjectModelFactory`

### newChild

    public java.lang.Object newChild(java.util.ArrayList list,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)

### addChild

    public void addChild(java.util.ArrayList list,
                         RenderSetMetaData renderSet,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

### newChild

    public java.lang.Object newChild(RenderSetMetaData renderSet,
                                     org.jboss.xb.binding.UnmarshallingContext nav,
                                     java.lang.String nsURI,
                                     java.lang.String localName,
                                     org.xml.sax.Attributes attrs)
                              throws javax.activation.MimeTypeParseException

  Throws:
    `javax.activation.MimeTypeParseException`

### addChild

    public void addChild(RenderSetMetaData renderSet,
                         RendererSetMetaData rendererSet,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName)

### setValue

    public void setValue(RendererSetMetaData rendererSet,
                         org.jboss.xb.binding.UnmarshallingContext nav,
                         java.lang.String nsURI,
                         java.lang.String localName,
                         java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD